mbedtls_asn1_buf Struct Reference

Type-length-value structure that allows for ASN1 using DER. More...

`#include <asn1.h>`

## Data Fields

int | tag
| ASN1 type, e.g. More...
size_t | len
| ASN1 length, in octets. More...
unsigned char * | p
| ASN1 data, e.g. More...

## Detailed Description

Type-length-value structure that allows for ASN1 using DER.

Definition at line 118 of file asn1.h.

## Field Documentation

size_t mbedtls_asn1_buf::len

ASN1 length, in octets.

Definition at line 121 of file asn1.h.

unsigned char* mbedtls_asn1_buf::p

ASN1 data, e.g.

in ASCII.

Definition at line 122 of file asn1.h.

int mbedtls_asn1_buf::tag

ASN1 type, e.g.

MBEDTLS_ASN1_UTF8_STRING.

Definition at line 120 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h